﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls.Primitives;
using System.Windows.Input;
using SudokuWeek4.Models;

namespace SudokuWeek4.ViewModels
{
    public class MainViewModel
    {
        private BoardModel _board;
        private UniformGrid _gameField;

        public MainViewModel(UniformGrid gameField)
        {
            _board = new BoardModel();
            _gameField = gameField;
            _gameField.Children.Add(GameField());
        }

        public void Reset(int boardSize) 
        {
            _board.Reset(boardSize);
        }

        public void Cheat(Boolean cheatMode) 
        {
            _board.Cheat(cheatMode);
        }

        public void ShowHint()
        {
            _board.ShowHint();
        }

        public void Save() 
        {
            _board.Save();
        }

        public void Load()
        {
            _board.Load();
        }

        public UniformGrid GameField()
        {
            return _board.GameField;
        }

        public void EnableDLL(Boolean state) 
        {
            _board.SudokuDLL = state;
        }

        public void SolvePuzzle(int cellsOver = 0) 
        {
            _board.solvePuzzle(cellsOver);
        }

        public void keyPressed(KeyEventArgs key) 
        {
            _board.KeyPressed(key);
        }

        public void mouseClicked(object sender, MouseEventArgs click) 
        {
            _board.MouseClicked(sender, click);
        }
    }
}
